Skip to main content
GET
/
v1
/
audit-events
List Audit Events
curl --request GET \
  --url https://api-tokyo.oneinbox.ai/v1/audit-events \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-tokyo.oneinbox.ai/v1/audit-events"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-tokyo.oneinbox.ai/v1/audit-events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api-tokyo.oneinbox.ai/v1/audit-events"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "api_key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "action": "<string>",
      "resource_type": "<string>",
      "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "request_id": "<string>",
      "ip": "<string>",
      "user_agent": "<string>",
      "payload_hash": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_cursor": "<string>",
  "has_more": true,
  "limit": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Your API key sent as a Bearer credential — Authorization: Bearer <api_key>, where <api_key> starts with oi_sk_ (create one via POST /v1/api-keys). Although the field is labelled 'token', paste your API key here. A dashboard JWT is also accepted on this header for the same endpoints.

Query Parameters

action
string | null

Filter by action enum value

resource_type
string | null
limit
integer
default:20
Required range: 1 <= x <= 100
cursor
string | null

Response

Successful Response

items
AuditEventResponse · object[]
required
next_cursor
string | null
required
has_more
boolean
required
limit
integer
required